> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Assets

> List all assets available for a given entity.

<Info>
  **Entity ID**

  To retrieve your entity\_id, use [List Portfolios](/api-reference/prime-api/rest-api/portfolios/list-portfolios).
</Info>

Use the Prime SDK or CLI to test this endpoint by following the [quickstart](/prime/introduction/quickstart) guide and running with the following examples

<Tabs>
  <Tab title="CLI">
    ```bash wrap theme={null}
    primectl list-assets --help
    ```

    For more information, please visit the [Prime CLI](https://github.com/coinbase-samples/prime-cli).
  </Tab>

  <Tab title="TS/JS">
    ```typescript wrap theme={null}
    const assetsService = new AssetsService(client);

    assetsService.listAssets({
        entityId: 'ENTITY_ID_HERE'
    }).then(async (response) => {
        console.log('Assets: ', response);
    })
    ```

    For more information, please visit the [Prime TS SDK](https://github.com/coinbase-samples/prime-sdk-ts).
  </Tab>
</Tabs>


## OpenAPI

````yaml GET /v1/entities/{entity_id}/assets
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/entities/{entity_id}/assets:
    get:
      tags:
        - Assets
      summary: List Assets
      description: List all assets available for a given entity.
      operationId: PrimeRESTAPI_GetEntityAssets
      parameters:
        - name: entity_id
          in: path
          description: The entity ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.GetEntityAssetsResponse
components:
  schemas:
    coinbase.public_rest_api.GetEntityAssetsResponse:
      type: object
      properties:
        assets:
          title: List of assets
          type: array
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.Asset'
    coinbase.public_rest_api.Asset:
      type: object
      properties:
        name:
          type: string
          description: The name of the asset
          example: Bitcoin
        symbol:
          type: string
          description: The mutable series of letters used to identify the asset
          example: BTC
        decimal_precision:
          type: string
          description: The number of decimals supported for the asset
          example: '8'
        trading_supported:
          type: boolean
          description: Indicates whether this asset can be traded
          example: true
        explorer_url:
          type: string
          description: Base URL to our recommended block explorer (crypto only)
          example: https://live.blockcypher.com/btc/
        networks:
          type: array
          description: List of networks supported by this asset
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.NetworkDetails'
    coinbase.public_rest_api.NetworkDetails:
      type: object
      properties:
        network:
          $ref: '#/components/schemas/coinbase.public_rest_api.Network'
        name:
          type: string
          description: The name of the network
          example: Ethereum
        max_decimals:
          type: string
          description: The maximum number of decimals supported for this network
          example: '8'
        default:
          type: boolean
          description: Indicates whether this network is the default network for the asset
          example: true
        trading_supported:
          type: boolean
          description: Indicates whether this network supports trading
          example: true
        vault_supported:
          type: boolean
          description: Indicates whether this network supports vault
          example: true
        prime_custody_supported:
          type: boolean
          description: Indicates whether this network supports prime custody
          example: true
        destination_tag_required:
          type: boolean
          description: Indicates whether this network requires a destination tag
          example: true
        network_link:
          type: string
          description: Base URL to our recommended block explorer (crypto only)
          example: https://live.blockcypher.com/btc/
        network_scoped_symbol:
          type: string
          description: >-
            Indicates the symbol that can be used to query other endpoints,
            related to transactions, wallets, and activities, to get information
            particularly for this asset on the network
          example: BASEUSDC
        min_withdrawal_amount:
          type: string
          description: >-
            The minimum withdrawal amount for this network. Applies to trading,
            prime custody, and vault wallets.
          example: '0.001'
        max_withdrawal_amount:
          type: string
          description: >-
            The platform maximum withdrawal amount for this network. Applies to
            trading, prime custody, and vault wallets. Note that Prime Transfer
            policies may override this value.
          example: '1000'
        min_deposit_amount:
          type: string
          description: >-
            The minimum deposit amount for this network. Applies to trading,
            prime custody, and vault wallets.
          example: '0.001'
    coinbase.public_rest_api.Network:
      type: object
      properties:
        id:
          title: The name of the network
          type: string
          description: 'The network id: base, bitcoin, ethereum, solana etc'
        type:
          title: The network type
          type: string
          description: 'The network type: mainnet, testnet, etc'

````